SDL_GetGamepadType(3)

NAME
SDL_GetGamepadType - Get the type of an opened gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

SDL_GamepadType SDL_GetGamepadType(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    the gamepad object to query.

RETURN VALUE
Returns the gamepad type, or SDL_GAMEPAD_TYPE_UNKNOWN if it's not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepadTypeForID(3)